Qgis 0.8 (MacOSX) crashes when loading raster file from WMS
Status: Closed

Priority: Low

Assignee: Tom Elwertowski

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10612

Description

whenever I load a WMS with QGIS 0.8 (MacOSX) version, I can do the lookup of the [[GetCapabilities]] but when I select one layer to

include it in the project, QGIS crashes.

Here is a example WMS I tried with:

http://www.carto.net/cgi-williams/mapserv?map=/home/an/mapserverdata/relief/relief1.map

I can connect and get the list of layers, but when I select one or more layers for the project and press "Add", QGIS (MacOSX) crashes.

Here is some system information:

Mac OS X 10.4.8 (8L127)

Machine Model:    PowerBook5,1

CPU Type:    PowerPC G4  (3.3)

Number Of CPUs:    1

CPU Speed:    1 GHz

L2 Cache (per CPU):    256 KB

L3 Cache (per CPU):    1 MB

Memory:    1 GB

Bus Speed:    167 MHz

Boot ROM Version:    4.6.2f1

History

#1 - 2007-02-01 09:44 PM - Gary Sherman

Confirmed in 0.8 release. Works in unstable (HEAD) version.

#2 - 2007-02-10 06:27 PM - Tom Elwertowski

A workaround is to hide the toolbar or just resize it so that the WMS icon is hidden. It is then possble to open a WMS layer without crashing. There will still

be some cosmetic problems when resizing the layer.

The problem redrawing the layer is the same in 0.8 and 0.9. Although the crash seems to occur only in 0.8, the fix for crash and redraw is the same and not

simple.

#3 - 2007-03-26 08:40 AM - Marco Hugentobler

I recently found a G4 Mac at our institute and compiled qgis 0.9 on it. I noticed that with QGIS 0.9 and Qt 4.2.3, WMS works with QGIS on Mac, while it
http://www.carto.net/cgi-williams/mapserv?map=/home/an/mapserverdata/relief/relief1.map


crashes for 0.8 (binary package). My guess is that it depends on the Qt version. Could someone else try with Qt4.2.3 / QGIS 0.9  on Mac and confirm?

Marco

#4 - 2008-03-07 10:51 PM - Paolo Cavallini

The bug seems solved in 0.9.2. If it is not confirmed, please close it.

#5 - 2008-07-08 10:33 PM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to fixed

Lacking any feedback, I'm closing it. Please reopen it if it still applies to >=0.10

#6 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
